// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_CATEGORY_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_CATEGORY_H

/************************************************************
 Category class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Conceptual/CategorySet.h"
#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * Concept whose role is to define and measure a characteristic
 * 
 * Examples
 * ==========
 * Self-identified as "Male".  "Extremely Satisfied" as a response category.
 * 
 * Explanatory notes
 * ===================
 * The Category is a Concept. It can have multiple name and display label properties as well as a definition and some descriptive text. As a "Signified" class there can be one or more "Sign" classes (e.g. a Code) that denotes it with some representation. The relationship is from the Code to the Category.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * l:CategoryType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Category: public Concept {
public:

	/**
	 * A short natural language account of the characteristics of the object.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString descriptiveText;

	/**
	 * 
	 */
	CategorySet [];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Category class header
 ************************************************************/

#endif
