// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTRELATIONSTRUCTURE_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTRELATIONSTRUCTURE_H

/************************************************************
 ConceptRelationStructure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/Classes/Identification/Identifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ConceptRelation.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * relation structure of concepts within a collection
 * 
 * Examples
 * ==========
 * A concept of vacation might be described as having sub-types of beach vacation and mountain vacation.
 * 
 * Explanatory notes
 * ===================
 * The ConceptRelationStructure employs a set of ConceptRelations to describe the relationship among concepts. Each ConceptRelation is a one to many description of connections between concepts. Together they can describe relationships as complex as a hierarchy or even a complete cyclical network as in a concept map.
 * Allows for the specification of complex relationships among concepts.
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class ConceptRelationStructure: public ::DDICore_40_PIM::Classes::Identification::Identifiable {
public:

	/**
	 * Restricted to ConceptRelation. ConceptRelations making up the relation structure.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ConceptRelation hasMemberRelation[];

	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification.
	 */
	::DDICore_40_PIM::Classes::Enumerations::RelationSpecification hasRelationSpecification;

	/**
	 * Provides semantic context for the relationship
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry semantic;

	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	::DDICore_40_PIM::Classes::Enumerations::TotalityType totality;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ConceptRelationStructure class header
 ************************************************************/

#endif
