// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTUALDOMAIN_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTUALDOMAIN_H

/************************************************************
 ConceptualDomain class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Conceptual/ConceptSystem.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/Classes/Representations/ValueAndConceptDescription.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LabelForDisplay.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * set of Concepts, where each concept is used as the Signified for a Datum
 * 
 * Examples
 * ==========
 * Substantive: Housing Unit Tenure - Owned, Rented, Vacant; Sentinel: Non-response - Refused, Don't Know, Not Applicable 
 * 
 * Explanatory notes
 * ===================
 * Intent of a Conceptual Domain is defining a set of concepts used to measure a broader concept. For effective use they should be discrete (non-overlapping) and provide exhaustive coverage of the broader concept.
 * The constituent concepts can be either sentinel or substantive, 
 * The set can be described by either enumeration or by an expression.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class ConceptualDomain: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::LabelForDisplay displayLabel[];

	/**
	 * 
	 */
	ConceptSystem;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Representations::ValueAndConceptDescription;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ConceptualDomain class header
 ************************************************************/

#endif
