// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTUALVARIABLE_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTUALVARIABLE_H

/************************************************************
 ConceptualVariable class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/Classes/Conceptual/SentinelConceptualDomain.h"
#include "DDICore_40_PIM/Classes/Conceptual/SubstantiveConceptualDomain.h"
#include "DDICore_40_PIM/Classes/Conceptual/UnitType.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * use of a Concept as a characteristic of a UnitType intended to be measured
 * 
 * Examples
 * ==========
 * 1. Sex of person
 * 2. Number of employees 
 * 3. Value of endowment
 * 
 * Explanatory notes
 * ===================
 * Note that DDI varies from GSIM in the use of a UnitType rather than a Universe. "The use of a Concept as a characteristic of a Universe intended to be measured" [GSIM 1.1]
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * c:ConceptualVariableType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Variable
 */
class ConceptualVariable: public Concept {
public:

	/**
	 * A short natural language account of the characteristics of the object.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString descriptiveText;

	/**
	 * 
	 */
	Concept [];

	/**
	 * 
	 */
	SentinelConceptualDomain;

	/**
	 * 
	 */
	UnitType;

	/**
	 * 
	 */
	SubstantiveConceptualDomain;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ConceptualVariable class header
 ************************************************************/

#endif
