// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_REPRESENTEDVARIABLE_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_REPRESENTEDVARIABLE_H

/************************************************************
 RepresentedVariable class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Conceptual/ConceptualVariable.h"
#include "DDICore_40_PIM/Classes/Conceptual/Universe.h"
#include "DDICore_40_PIM/Classes/Representations/SentinelValueDomain.h"
#include "DDICore_40_PIM/Classes/Representations/SubstantiveValueDomain.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * ConceptualVariable with a SubstantiveValueDomain specified
 * 
 * 
 * Examples
 * ==========
 * The pair (Number of Employees, Integer), where "Number of Employees" is the characteristic of the population (Variable) and "Integer" is how that measure will be represented (Value Domain).
 * 
 * Explanatory notes
 * ===================
 * Extends from ConceptualVariable and can contain all descriptive fields without creating a ConceptualVariable. By referencing a ConceptualVariable it can indicate a common relationship with RepresentedVariables expressing the same characteristic of a universe measured in another way, such as Age of Persons in hours rather than years. RepresentedVariable constrains the coverage of the UnitType to a specific Universe. In the above case the Universe with the measurement of Age in hours may be constrained to Persons under 5 days (120 hours old). RepresentedVariable can define sentinel values for multiple storage systems which have the same conceptual domain but specialized value domains.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * l:RepresentedVariableType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class RepresentedVariable: public ConceptualVariable {
public:

	/**
	 * The data type intended to be used by this variable. Supports the optional use of an external controlled vocabulary.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry hasIntendedDataType;

	/**
	 * 
	 */
	ConceptualVariable;

	/**
	 * 
	 */
	Universe;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Representations::SentinelValueDomain [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Representations::SubstantiveValueDomain;

	/**
	 * The unit in which the data values are measured (kg, pound, euro).
	 */
	::PrimitiveTypes::String unitOfMeasurement;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of RepresentedVariable class header
 ************************************************************/

#endif
