// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CODELISTSTRUCTURE_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CODELISTSTRUCTURE_H

/************************************************************
 CodeListStructure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Identification/Identifiable.h"
#include "DDICore_40_PIM/Classes/Representations/CodeList.h"
#include "DDICore_40_PIM/DataTypes/NewEnumerations/Pkg_NewEnumerations.h"
#include "DDICore_40_PIM/DataTypes/NewStructuredDataTypes/SpecificationType.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * relation structure of codes within a codelist
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * Allows for the specification of complex relationships among codes. The CodeRelationStructure employs a set of CodeRelations to describe the relationship among concepts. Each CodeRelation is a one to many description of connections between codes. Together they might commonly describe relationships as complex as a hierarchy.
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class CodeListStructure: public ::DDICore_40_PIM::Classes::Identification::Identifiable {
public:

	/**
	 * 
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

	/**
	 * 
	 */
	CodeList;

	/**
	 * 
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

	/**
	 * Provides semantic context for the relationship
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry semantic;

	/**
	 * 
	 */
	::DDICore_40_PIM::DataTypes::NewStructuredDataTypes::SpecificationType specification;

	/**
	 * 
	 */
	::DDICore_40_PIM::DataTypes::NewEnumerations::TopologyType topology;

	/**
	 * Type of relation in terms of totality with respect to an associated collection
	 */
	::DDICore_40_PIM::DataTypes::NewEnumerations::TotalityType totality;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CodeListStructure class header
 ************************************************************/

#endif
