#ifndef PKG_DDICORE_40_PIM_DATATYPES_NEWENUMERATIONS
#define PKG_DDICORE_40_PIM_DATATYPES_NEWENUMERATIONS

/************************************************************
 Pkg_NewEnumerations package header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/Pkg_DataTypes.h"

#ifndef _IN_
#define _IN_
#endif
#ifndef _OUT_
#define _OUT_
#endif
#ifndef _INOUT_
#define _INOUT_
#endif

/* Package dependency header include                        */

namespace DDICore_40_PIM {
namespace DataTypes {
namespace NewEnumerations {

// Types defined within the package

/**
 * Definition
 * ============
 * A vocabulary for the specification of how much of a Collection is referenced. All, some or none of the Collection may be indicated.
 * 
 * Examples
 * ==========
 * 
 * Explanatory notes
 * ===================
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
enum ScopeType {
	/**
	 * 
	 */
	All,
	/**
	 * 
	 */
	None,
	/**
	 * 
	 */
	Some
};

/**
 * Definition
 * ============
 * A vocabulary for the form of the associations among members of the collection.
 * 
 * 
 * Examples
 * ==========
 * 
 * Explanatory notes
 * ===================
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
enum TopologyType {
	/**
	 * 
	 */
	graph,
	/**
	 * 
	 */
	lattice,
	/**
	 * 
	 */
	network,
	/**
	 * 
	 */
	partition,
	/**
	 * 
	 */
	tree
};

/**
 * Definition
 * ============
 * If all members of the associated collection are related to each other (Otherwise, it is said to be <i>partial</i>)
 * 
 * Examples
 * ==========
 * 
 * Explanatory notes
 * ===================
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
enum TotalityType {
	/**
	 * 
	 */
	partial,
	/**
	 * 
	 */
	total
};
} // of namespace NewEnumerations
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Pkg_NewEnumerations package header
 ************************************************************/

#endif
