// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_COMMANDCODE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_COMMANDCODE_H

/************************************************************
 CommandCode class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Command.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/CommandFile.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Contains information on the command used for processing data. Contains a description of the command which should clarify for the user the purpose and process of the command, an in-line provision of the command itself, and a reference to an external version of the command such as a coding script. 
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:CommandCodeType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class CommandCode {
public:

	/**
	 * A description of the purpose and use of the command code provided. Supports multiple languages.
	 */
	InternationalStructuredString description;

	/**
	 * This is an in-line provision of the command itself. It provides the programming language used as well as the command.
	 */
	Command usesCommand[];

	/**
	 * Identifies and provides a link to an external copy of the command, for example, a SAS Command Code script. Designates the programming language of the command file as well as the URI for the file.
	 */
	CommandFile usesCommandFile[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CommandCode class header
 ************************************************************/

#endif
