// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CORRESPONDENCETYPE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CORRESPONDENCETYPE_H

/************************************************************
 CorrespondenceType class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Describes the commonalities and differences between two members using a textual description of both commonalities and differences plus an optional coding of the type of commonality.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * cm:CorrespondenceType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class CorrespondenceType {
public:

	/**
	 * A description of the common features of the two items using a StructuredString to support multiple language versions of the same content as well as optional formatting of the content.
	 */
	InternationalStructuredString commonality;

	/**
	 * Commonality expressed as a term or code. Supports the use of an external controlled vocabulary. If repeated, clarify each external controlled vocabulary used.
	 */
	ExternalControlledVocabularyEntry commonalityTypeCode[];

	/**
	 * A description of the differences between the two items using a StructuredString to support multiple language versions of the same content as well as optional formatting of the content.
	 */
	InternationalStructuredString difference;

	/**
	 * Allows specification of exact match, close match, or disjoint. These relationships can be further defined by describing commonalities or differences or providing additional controlled vocabulary description of relationship.
	 */
	::DDICore_40_PIM::Classes::Enumerations::MappingRelation hasMappingRelation;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CorrespondenceType class header
 ************************************************************/

#endif
