// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LANGUAGESPECIFICSTRUCTUREDSTRINGTYPE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LANGUAGESPECIFICSTRUCTUREDSTRINGTYPE_H

/************************************************************
 LanguageSpecificStructuredStringType class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LanguageSpecificStringType.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition ============ Supports the optional use of formatting tags expressed with escape characters within the string structure. Language of the string is defined by the attribute language. Scope of the string is defined by scope. Language and Scope are used to filter selection and use of content based on unique combinations of these two properties. The content can be identified as translated (isTranslated), subject to translation (isTranslatable), the result of translation from one or more languages (translationSourceLanguages), carry an indication whether or not it should be treated as plain text (isPlain), identification of the structure used (structureUsed) which is an internal enumeration, and the ability to identify a structure not available in the enumeration by declaring structureUsed="Other" and specifying the other structure (otherDefined). Examples ========== The content: 
 * a bit of text
 * with some specialties highlighted 
 * Would be entered as: 
 * with some specialties highlighted 
 * Explanatory notes =================== Synonyms ========== DDI 3.2 mapping ================= r:ContentType RDF mapping ============= GSIM mapping ==============
 */
class LanguageSpecificStructuredStringType: public LanguageSpecificStringType {
public:

	/**
	 * Indicates that the content is to be treated as plain text (no formatting). You may use DDIProfile to fix the value of this attribute to 'true' in cases where you wish to indicate that your system treats all content should be treated as plain text.
	 */
	::PrimitiveTypes::Boolean isPlainText;

	/**
	 * If the value of structureUsed is Other enter the structue type.
	 */
	::PrimitiveTypes::String otherDefined;

	/**
	 * Uses a enumerated value to specify the structuring elements used.
	 */
	::DDICore_40_PIM::Classes::Enumerations::StringStructureType structureUsed;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of LanguageSpecificStructuredStringType class header
 ************************************************************/

#endif
