// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SPATIALLINE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SPATIALLINE_H

/************************************************************
 SpatialLine class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/SpatialPoint.h"
#include "DDICore_40_PIM/DataTypes/XMLSchemaDatatypes/Pkg_XMLSchemaDatatypes.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Defines a geographic line (minimum of 2 points)
 * 
 * Examples
 * ==========
 * Street, River
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class SpatialLine {
public:

	/**
	 * The lineLinkCode is the identifier of the specific line within the file.
	 */
	::PrimitiveTypes::String lineLinkCode;

	/**
	 * A geographic point defined by a latitude and longitude. A minimum of 2 points is required in order to define the line.
	 */
	SpatialPoint point[];

	/**
	 * The format of the shape file existing at the location indicated by the sibling ExternalURI element.
	 */
	ExternalControlledVocabularyEntry shapeFileFormat;

	/**
	 * A URI for the spatial file containing the line
	 */
	anyURI uri;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of SpatialLine class header
 ************************************************************/

#endif
