// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_TEXTUALSEGMENT_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_TEXTUALSEGMENT_H

/************************************************************
 TextualSegment class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/CharacterOffset.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LineParameter.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Defines the segment of textual content used by the parent object. Can identify a set of lines and or characters used to define the segment.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:TextualType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class TextualSegment {
public:

	/**
	 * Specification of the character offset for the beginning and end of the segment.
	 */
	CharacterOffset characterParameter;

	/**
	 * Specification of the line and offset for the beginning and end of the segment.
	 */
	LineParameter lineParamenter;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of TextualSegment class header
 ************************************************************/

#endif
