// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_WEBLINK_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_WEBLINK_H

/************************************************************
 WebLink class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/XMLSchemaDatatypes/Pkg_XMLSchemaDatatypes.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A web site (normally a URL) with information on type of site, privacy flag, and effective dates.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * a:URLType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class WebLink {
public:

	/**
	 * The period for which this URL is valid.
	 */
	DateRange effectiveDates;

	/**
	 * Set to "true" if this is the preferred URL.
	 */
	::PrimitiveTypes::Boolean isPreferred;

	/**
	 * Indicates the privacy level of this URL
	 */
	ExternalControlledVocabularyEntry privacy;

	/**
	 * The type of URL for example personal, project, organization, division, etc.
	 */
	ExternalControlledVocabularyEntry typeOfWebsite;

	/**
	 * Normally a URL
	 */
	anyURI uri;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of WebLink class header
 ************************************************************/

#endif
