// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Conceptual;

/************************************************************/
/**
 * Definition
  * ============
  * ConceptualVariable with a SubstantiveValueDomain specified
  * 
  * 
  * Examples
  * ==========
  * The pair (Number of Employees, Integer), where "Number of Employees" is the characteristic of the population (Variable) and "Integer" is how that measure will be represented (Value Domain).
  * 
  * Explanatory notes
  * ===================
  * Extends from ConceptualVariable and can contain all descriptive fields without creating a ConceptualVariable. By referencing a ConceptualVariable it can indicate a common relationship with RepresentedVariables expressing the same characteristic of a universe measured in another way, such as Age of Persons in hours rather than years. RepresentedVariable constrains the coverage of the UnitType to a specific Universe. In the above case the Universe with the measurement of Age in hours may be constrained to Persons under 5 days (120 hours old). RepresentedVariable can define sentinel values for multiple storage systems which have the same conceptual domain but specialized value domains.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * l:RepresentedVariableType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class RepresentedVariable extends ConceptualVariable
 {
				/**
				 * The data type intended to be used by this variable. Supports the optional use of an external controlled vocabulary.
				 */
				public ExternalControlledVocabularyEntry hasIntendedDataType;
				/**
				 * 
				 */
				public ConceptualVariable ;
				/**
				 * 
				 */
				public Universe ;
				/**
				 * 
				 */
				public SentinelValueDomain[] ;
				/**
				 * 
				 */
				public SubstantiveValueDomain ;
				/**
				 * The unit in which the data values are measured (kg, pound, euro).
				 */
				public String unitOfMeasurement;
};
