// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Conceptual;

/************************************************************/
/**
 * Definition
  * ============
  * RelationStructure for use with any se tof Variables in the Variable Cascade (Conceptual, Represented, Instance).
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * A VariableCollection can be described as a simple list, or as having a more complex structure. All of the "administrative" variables for a study might be described as just a simple list without a VariableRelationStructure. If, however, the administrative variables needed to be described in subgroups, a VariableRelationStructure could be employed.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class VariableStructure extends Identifiable
 {
				/**
				 * 
				 */
				public OrganizationName[] name;
				/**
				 * 
				 */
				public VariableCollection ;
				/**
				 * 
				 */
				public InternationalStructuredString purpose;
				/**
				 * Provides semantic context for the relationship
				 */
				public ExternalControlledVocabularyEntry semantic;
				/**
				 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification.
				 */
				public undefined specification;
				/**
				 * 
				 */
				public TopologyType topology;
				/**
				 * Type of relation in terms of totality with respect to an associated collection.
				 */
				public TotalityType totality;
};
