// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.CommandCode;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.DateRange;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalString;

/************************************************************/
/**
 * Definition
  * ============
  * word or a short text (e.g. the name of a locality, an economic activity or an occupational title) describing a type of object/unit or object property to which a Classification Item applies, together with the code of the corresponding Classification Item
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * Each Classification Index Entry typically refers to one item of the Statistical Classification. Although a Classification Index Entry may be associated with a Classification Item at any Level of a Statistical Classification, Classification Index Entries are normally associated with items at the lowest Level.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Classification Index Entry
 */
public class ClassificationIndexEntry extends AnnotatedIdentifiable {
	/**
	 * Additional information which drives the coding process. Required when coding is dependent upon one or many other factors.
	 */
	public CommandCode codingInstruction;
	/**
	 * Text describing the type of object/unit or object property.
	 */
	public InternationalString entry;
	/**
	 * Date from which the Classification Index Entry became valid (startDate). The date must be defined if the Classification Index Entry belongs to a floating Classification Index. Date at which the Classification Index Entry became invalid (endDate). The date must be defined if the Classification Index Entry belongs to a floating Classification Index and is no longer valid.
	 */
	public DateRange validDates;
};
