// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Agents.Agent;
import DDICore_40_PIM.Classes.Conceptual.Concept;
import DDICore_40_PIM.Classes.Enumerations.CollectionType;
import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.Classes.Representations.StatisticalClassificationRelationStructure;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.StatisticalClassificationIndicator;

/************************************************************/
/**
 * Definition
  * ============
  * ensemble of one or more Statistical Classifications, based on the same concept, and related to each other as versions or updates 
  * 
  * Examples
  * ==========
  * ISIC or ISCO
  * SIC (with different published versions related to the publication year)
  * 
  * Explanatory notes
  * ===================
  * Typically, these Statistical Classifications have the same name.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Classification Series
 */
public class ClassificationSeries extends AnnotatedIdentifiable
 {
				/**
				 * MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array
				 */
				public StatisticalClassificationIndicator[] contains;
				/**
				 * ClassificationSeries can be designed in a specific context. Supports the use of and External Controlled Vocabulary.
				 */
				public ExternalControlledVocabularyEntry context;
				/**
				 * If members are ordered set to true, if unordered set to false.
				 */
				public boolean isOrdered;
				/**
				 * A ClassificationSeries can be associated with one or a number of keywords.
				 */
				public ExternalControlledVocabularyEntry[] keyword;
				/**
				 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
				 */
				public ObjectName[] name;
				/**
				 * A ClassificationSeries is designed to classify a specific type of object/unit according to a specific attribute.
				 */
				public ExternalControlledVocabularyEntry objectsOrUnitsClassified;
				/**
				 * 
				 */
				public StatisticalClassificationRelationStructure[] ;
				/**
				 * 
				 */
				public Concept[] ;
				/**
				 * 
				 */
				public Agent[] ;
				/**
				 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
				 */
				public InternationalStructuredString purpose;
				/**
				 * Areas of statistics in which the ClassificationSeries is implemented.
				 */
				public ExternalControlledVocabularyEntry[] subject;
				/**
				 * Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.
				 */
				public CollectionType type;
};
