// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Enumerations.RelationSpecification;
import DDICore_40_PIM.Classes.Enumerations.TotalityType;
import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.IndexEntryRelation;

/************************************************************/
/**
 * Definition
  * ============
  * structures relationships between Classification Index Entries in a Classification Index
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class IndexEntryRelationStructure extends AnnotatedIdentifiable {
	/**
	 * Index Entry Relations  that comprise the relationship structure
	 */
	public IndexEntryRelation[] hasMemberRelation;
	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.
	 */
	public RelationSpecification hasRelationSpecification;
	/**
	 * Provides semantic context for the relationship
	 */
	public ExternalControlledVocabularyEntry semantic;
	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	public TotalityType totality;
};
